Submit Creative

Submit the creative for approval

Note: Creative can be submitted for approval only after all review comments have been marked resolved and the creative has been compiled/previewed

📘

URL: POST /api/v1/creatives/submit

Request Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe ID for the specific advertiserintegerYA valid advertiser ID
creativeIdThe ID of the creativestringYA valid creative ID

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
Content-TypeFormat of the message bodyYapplication/json
WM_CONSUMER.IDUnique ID for consumer. We will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATURESignature for authenticationYUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONKey version. We will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value

Sample Request

curl -X POST \
'https://developer.api.us.stg.walmart.com/api-proxy/service/display/api/v1/api/v1/creatives/submit'\ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>'
--header 'WM_SEC.AUTH_SIGNATURE: **************' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \ --header 'WM_CONSUMER.intimestamp: 1565309779'
--data "{ "advertiserId": 123, "creativeId": "e02a09b2-1e3c-2g22-bf47-8a123c35002a" }"

Success Response

ElementDescriptionOptional field/Nullable?TypePossible values
codeThe response code can have following values:success
  • failure

  • Click here for more information about Status Codes and Errors
    Nstring
    detailsPossible values of details:
    • Details of the error if value of response code is failure
    • It returns a string value "success" if value of response code is success
    • It returns a string value "pending" if submission process is in progress
    NstringRefer to this link for detailed error messages
    creativeStateIdID of the creative. It is returned in response only if code=successstring
    messageHigh-level summary of the error, when available. Ystring
    errorsDetailed information about one or more errors, including the affected field (when applicable), error code, and a human-readable description.Yarray

    errors Array Object Details

    FieldDescriptionOptional field/Nullable?TypePossible values
    fieldJSON field associated with the error (for example, startDate ). Omitted if the error applies to the request as a whole.Ystring 
    errorTypeMachine-readable error code that uniquely identifies the error condition. Applications should use this value for error handling logic.Nstring 
    descriptionHuman-readable explanation of the error, including why the request failed and, when possible, how to resolve itNstring 

    Sample Response - Success

    [ { "code": "pending", "details": ["pending"], "creativeStateId": "b02a09b2-1e3c-2g22-bf47-8a123c35002a" } ]

    Sample Response - Failure

    { "code": "failure", "details": [ "string" ],   "message": "string", "errors": [ { "field": "string", "errorType": "string", "description": "string" } ]
    }

    Did this page help you?